summaryrefslogtreecommitdiff
path: root/res/debian/pkg__rhizi-mux
diff options
context:
space:
mode:
authorLV-426 <lv-426@taproot.org.il>2015-05-03 16:51:39 +0300
committerLV-426 <lv-426@taproot.org.il>2015-05-05 19:04:31 +0300
commitdc05441b446aa4cf7e6eaa941c6dd623131bdcff (patch)
tree09c541f73bf6161feb33922ff04e477f29653c84 /res/debian/pkg__rhizi-mux
parent60f8d3d0589cc7fda88d933dc132bd85df35203c (diff)
deb-pkg, build.ant: introducing 'single' and 'mux' debian package variants
Currently both share the same control script, generating a 'rhizi' named package
Diffstat (limited to 'res/debian/pkg__rhizi-mux')
-rw-r--r--res/debian/pkg__rhizi-mux/dirs2
-rw-r--r--res/debian/pkg__rhizi-mux/install13
-rw-r--r--res/debian/pkg__rhizi-mux/postinst52
-rw-r--r--res/debian/pkg__rhizi-mux/rhizi.init144
4 files changed, 211 insertions, 0 deletions
diff --git a/res/debian/pkg__rhizi-mux/dirs b/res/debian/pkg__rhizi-mux/dirs
new file mode 100644
index 00000000..1e1391d3
--- /dev/null
+++ b/res/debian/pkg__rhizi-mux/dirs
@@ -0,0 +1,2 @@
+etc/rhizi/
+var/run/rhizi
diff --git a/res/debian/pkg__rhizi-mux/install b/res/debian/pkg__rhizi-mux/install
new file mode 100644
index 00000000..8d6b927a
--- /dev/null
+++ b/res/debian/pkg__rhizi-mux/install
@@ -0,0 +1,13 @@
+res/client/* usr/share/rhizi/webapp/static/
+res/neo4j/reset-db__clean.cypher usr/lib/rhizi/tools/neo4j
+res/templates/* usr/share/rhizi/webapp/templates/
+res/rz-mux/* usr/share/rhizi/rz-mux/
+
+src/client/* usr/lib/rhizi/webapp/static/js
+src/server/* usr/lib/rhizi/rhizi-server/
+src/local/server-tools/* usr/lib/rhizi/tools/server-tools
+src/local/rz-mux/* usr/lib/rhizi/tools/rz-mux
+
+# Domain specific - install defaults
+src/local/domain/default.rhizi.net/domain_types.js usr/lib/rhizi/webapp/static/js/model/
+res/local/template/fragment/by-domain/default.rhizi.net/* usr/share/rhizi/webapp/templates/fragment
diff --git a/res/debian/pkg__rhizi-mux/postinst b/res/debian/pkg__rhizi-mux/postinst
new file mode 100644
index 00000000..44b87c5f
--- /dev/null
+++ b/res/debian/pkg__rhizi-mux/postinst
@@ -0,0 +1,52 @@
+#!/bin/sh
+# postinst script for rhizi
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ # call chmod, chown, etc.
+
+ chown www-data:www-data /var/run/rhizi
+ chown www-data:www-data /var/log/rhizi
+
+ # configure apache - FIXME: impl undo
+ echo 'enabling apache proxy modules - warning: this will not be reverted during package uninstall'
+ /usr/sbin/a2enmod deflate
+ /usr/sbin/a2enmod proxy
+ /usr/sbin/a2enmod proxy_http
+ /usr/sbin/a2enmod proxy_wstunnel
+ /usr/sbin/a2enmod rewrite
+
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/res/debian/pkg__rhizi-mux/rhizi.init b/res/debian/pkg__rhizi-mux/rhizi.init
new file mode 100644
index 00000000..61d9e916
--- /dev/null
+++ b/res/debian/pkg__rhizi-mux/rhizi.init
@@ -0,0 +1,144 @@
+#!/bin/sh
+
+### BEGIN INIT INFO
+# Provides: rhizi
+# Required-Start: $local_fs $network $syslog
+# Required-Stop: $local_fs $network $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Rhizi service
+# Description: Rhizi kernel & accompanying web-server
+### END INIT INFO
+
+# Do NOT "set -e"
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="rhizi-server"
+NAME=rhizi
+DAEMON=/usr/bin/python2.7
+PIDFILE=/var/run/$NAME/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+USERNAME=www-data
+GROUPNAME=www-data
+
+ARGS__DAEMON="/srv/www/rhizi/rhizi.net/bin/rz_server.py --config-dir=/etc/rhizi"
+ARGS__START_STOP_DAEMON="--make-pidfile --background --chuid ${USERNAME}:${GROUPNAME}"
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
+# and status_of_proc is working.
+. /lib/lsb/init-functions
+
+# make sure /var/run/$NAME exists with proper +w mode as the uid:gid used to fork the server
+if [ ! -d /var/run/$NAME ]; then
+ mkdir /var/run/$NAME
+ chown ${USERNAME}:${GROUPNAME} /var/run/$NAME
+fi
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+ # Return
+ # 0 if daemon has been started
+ # 1 if daemon was already running
+ # 2 if daemon could not be started
+ start-stop-daemon --start --quiet --pidfile $PIDFILE $ARGS__START_STOP_DAEMON --exec $DAEMON --test > /dev/null \
+ || return 1
+ start-stop-daemon --start --quiet --pidfile $PIDFILE $ARGS__START_STOP_DAEMON --exec $DAEMON -- \
+ $ARGS__DAEMON \
+ || return 2
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+ # Return
+ # 0 if daemon has been stopped
+ # 1 if daemon was already stopped
+ # 2 if daemon could not be stopped
+ # other if a failure occurred
+ start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
+ RETVAL="$?"
+ [ "$RETVAL" = 2 ] && return 2
+
+ # Wait for children to finish too if this is a daemon that forks
+ # and if the daemon is only ever run from this initscript.
+ # If the above conditions are not satisfied then add some other code
+ # that waits for the process to drop all resources that could be
+ # needed by services started subsequently. A last resort is to
+ # sleep for some time.
+ start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
+ [ "$?" = 2 ] && return 2
+
+ # Many daemons don't delete their pidfiles when they exit.
+ rm -f $PIDFILE
+ return "$RETVAL"
+}
+
+#
+# run command
+#
+case "$1" in
+ start)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
+ do_start
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ stop)
+ [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+ 2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+ esac
+ ;;
+ status)
+ status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+ ;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented then remove the
+ # 'force-reload' alias
+ #
+ log_daemon_msg "Restarting $DESC" "$NAME"
+ do_stop
+ case "$?" in
+ 0|1)
+ do_start
+ case "$?" in
+ 0) log_end_msg 0 ;;
+ 1) log_end_msg 1 ;; # Old process is still running
+ *) log_end_msg 1 ;; # Failed to start
+ esac
+ ;;
+ *)
+ # Failed to stop
+ log_end_msg 1
+ ;;
+ esac
+ ;;
+ *)
+ #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+ exit 3
+ ;;
+esac
+
+: